org.apache.ignite.internal.processors.cache.tree

## Interface PendingRowIO

All Known Implementing Classes:
  AbstractPendingEntryInnerIO, AbstractPendingEntryLeafIO, CacheIdAwarePendingEntryInnerIO, CacheIdAwarePendingEntryLeafIO, PendingEntryInnerIO, PendingEntryLeafIO

    public interface PendingRowIO

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getCacheId(long pageAddr, int idx)`
`long` `getExpireTime(long pageAddr, int idx)`
`long` `getLink(long pageAddr, int idx)`

### Method Detail

#### getExpireTime

    long getExpireTime(long pageAddr,
                       int idx)

Parameters:
  `pageAddr` - Page address.
  `idx` - Index.
Returns:
  Expire time.

#### getLink

    long getLink(long pageAddr,
                 int idx)

Parameters:
  `pageAddr` - Page address.
  `idx` - Index.
Returns:
  Link.

#### getCacheId

    int getCacheId(long pageAddr,
                   int idx)

Parameters:
  `pageAddr` - Page address.
  `idx` - Index.
Returns:
  Cache ID or `0` if Cache ID is not defined.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022